2020-08-13 16:15 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002601Spring engineGeneralpublic2011-08-08 18:14
Reporterabma 
Assigned Tohoijui 
PrioritynormalSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version83.0 
Summary0002601: Enable SIGNAL_NANs in debug compiles, except in rts/lib/lua/
Descriptionadd in cmake something like

if BUILD_TYPE contains (DEBUG)
   set SIGNAL_NANS=true
endif


see minutes:

http://springrts.com/phpbb/viewtopic.php?f=12&t=26568
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files

-Relationships
+Relationships

-Notes

~0007222

hoijui (reporter)

i have this ready to commit, locally, except...
what about the "except in Lua" part?
should the flag not ever be used for sources under rts/lib/lua/? or does it also concern rts/Lua/?

~0007223

Kloot (developer)

lib/lua/ only

~0007236

hoijui (reporter)

resolved by:
https://github.com/spring/spring/commit/9f493939b54618d53bb78a62fb234584d05dfec9

Maybe the flag has to be removed for the Lua compiled into KAIK and Shard too.
+Notes

-Issue History
Date Modified Username Field Change
2011-08-04 19:21 abma New Issue
2011-08-04 19:24 abma Description Updated
2011-08-05 10:06 hoijui Note Added: 0007222
2011-08-05 11:28 Kloot Note Added: 0007223
2011-08-05 14:35 abma Summary Enable SIGNAL_NANs in debug compiles, except in Lua => Enable SIGNAL_NANs in debug compiles, except in rts/lib/lua/
2011-08-07 09:54 hoijui Status new => assigned
2011-08-07 09:54 hoijui Assigned To => hoijui
2011-08-08 18:14 hoijui Note Added: 0007236
2011-08-08 18:14 hoijui Status assigned => resolved
2011-08-08 18:14 hoijui Fixed in Version => 0.83.0
2011-08-08 18:14 hoijui Resolution open => fixed
+Issue History